SET FOREIGN_KEY_CHECKS=0
;

-- DROP Statements
DROP VIEW IF EXISTS CONTENT_CONSTRAINT_V
;
DROP VIEW IF EXISTS ARTEFACT_VIEW
;
DROP TABLE IF EXISTS CATEGORISATION
;

DROP TABLE IF EXISTS ATTR_DIMS
;

DROP TABLE IF EXISTS TIME_TRANSCODING
;

DROP TABLE IF EXISTS ENUMERATIONS
;

DROP TABLE IF EXISTS TEXT_FORMAT
;

DROP TABLE IF EXISTS DESC_SOURCE
;

DROP TABLE IF EXISTS HCL_CODE
;
DROP TABLE IF EXISTS HLEVEL
;
DROP TABLE IF EXISTS HIERARCHY
;
DROP TABLE IF EXISTS HCL
;
DROP TABLE IF EXISTS HEADER_LOCALISED_STRING
;
DROP TABLE IF EXISTS CONTACT_DETAIL
;
DROP TABLE IF EXISTS CONTACT
;
DROP TABLE IF EXISTS PARTY
;
DROP TABLE IF EXISTS HEADER
;
DROP TABLE IF EXISTS DB_VERSION
;
DROP TABLE IF EXISTS DATAFLOW_USER
;
DROP TABLE IF EXISTS DATAFLOW_DB_CONNECTION
;
DROP TABLE IF EXISTS DATAFLOW_DATASET
;
DROP TABLE IF EXISTS DATAFLOW_CATEGORY
;
DROP TABLE IF EXISTS CATEGORY_USER
;
DROP TABLE IF EXISTS CATEGORY_DB_CONNECTION
;
DROP TABLE IF EXISTS CATEGORY_DATASET
;
DROP TABLE IF EXISTS ATT_GROUP
;
DROP TABLE IF EXISTS DIM_GROUP
;
DROP TABLE IF EXISTS DSD_GROUP
;
DROP TABLE IF EXISTS SEQUENCE_ID
;
DROP TABLE IF EXISTS COM_COL_MAPPING_COLUMN
;
DROP TABLE IF EXISTS COM_COL_MAPPING_COMPONENT
;
DROP TABLE IF EXISTS TRANSCODING_RULE_LOCAL_CODE
;
DROP TABLE IF EXISTS TRANSCODING_RULE_DSD_CODE
;
DROP TABLE IF EXISTS TRANSCODING_CODELIST
;
DROP TABLE IF EXISTS CONNECTION_CATEGORY
;
DROP TABLE IF EXISTS TRANSCODING_SCRIPT
;
DROP TABLE IF EXISTS TRANSCODING
;
DROP TABLE IF EXISTS COMPONENT_MAPPING
;
DROP TABLE IF EXISTS COMPONENT
;
DROP TABLE IF EXISTS DATAFLOW
;
DROP TABLE IF EXISTS TRANSCODING_RULE
;
DROP TABLE IF EXISTS CATEGORY
;
DROP TABLE IF EXISTS DSD_CODE
;
DROP TABLE IF EXISTS CONCEPT
;
DROP TABLE IF EXISTS AGENCY
;
DROP TABLE IF EXISTS DATACONSUMER
;
DROP TABLE IF EXISTS DATAPROVIDER
;
DROP TABLE IF EXISTS ORGANISATION_UNIT
;
DROP TABLE IF EXISTS LOCALISED_STRING
;
DROP TABLE IF EXISTS LOCAL_CODE
;
DROP TABLE IF EXISTS TIME_PRE_FORMATED
;
DROP TABLE IF EXISTS DATASET_COLUMN
;
DROP TABLE IF EXISTS DSD
;
DROP TABLE IF EXISTS MAPPING_SET
;
DROP TABLE IF EXISTS CATEGORY_SCHEME
;
DROP TABLE IF EXISTS CODELIST
;
DROP TABLE IF EXISTS CONCEPT_SCHEME
;
DROP TABLE IF EXISTS AGENCY_SCHEME
;
DROP TABLE IF EXISTS DATACONSUMER_SCHEME
;
DROP TABLE IF EXISTS DATAPROVIDER_SCHEME
;
DROP TABLE IF EXISTS ORGANISATION_UNIT_SCHEME
;
DROP TABLE IF EXISTS STRUCTURE_SET
;
DROP TABLE IF EXISTS ITEM
;
DROP TABLE IF EXISTS ARTEFACT
;
DROP TABLE IF EXISTS DATASET_PROPERTY
;
DROP TABLE IF EXISTS DATASET_PROPERTY_TYPE
;
DROP TABLE IF EXISTS DATASET
;
DROP TABLE IF EXISTS DB_CONNECTION
;
DROP TABLE IF EXISTS MA_USER
;
DROP TABLE IF EXISTS CODELIST_MAP
;
DROP TABLE IF EXISTS CODE_MAP
;
DROP TABLE IF EXISTS STRUCTURE_MAP
;
DROP TABLE IF EXISTS COMPONENT_MAP
;
DROP TABLE IF EXISTS ANNOTATION
;
DROP TABLE IF EXISTS ANNOTATION_TEXT
;
DROP TABLE IF EXISTS ARTEFACT_ANNOTATION
;
DROP TABLE IF EXISTS ITEM_ANNOTATION
;
DROP TABLE IF EXISTS COMPONENT_ANNOTATION
;
DROP TABLE IF EXISTS GROUP_ANNOTATION
;

DROP TABLE IF EXISTS CUBE_REGION_VALUE
;

DROP TABLE IF EXISTS CUBE_REGION_KEY_VALUE
;

DROP TABLE IF EXISTS CUBE_REGION
;

DROP TABLE IF EXISTS CONTENT_CONSTRAINT_ATTACHMENT
;

DROP TABLE IF EXISTS CONTENT_CONSTRAINT
;

DROP TABLE IF EXISTS ATT_MEASURE CASCADE
;

DROP TABLE IF EXISTS `METADATA_ATTRIBUTE`
;

DROP TABLE IF EXISTS `ITEM_SCHEME`
;

DROP TABLE IF EXISTS `CONCEPT_ROLE`
;

DROP TABLE IF EXISTS `TARGET_OBJECT`
;

DROP TABLE IF EXISTS `COMPONENT_COMMON`
;

DROP TABLE IF EXISTS `METADATA_TARGET`
;

DROP TABLE IF EXISTS `METADATAFLOW`
;

DROP TABLE IF EXISTS `REPORT_STRUCTURE`
;

DROP TABLE IF EXISTS `REPORT_STRUCTURE_META_TARGET`
;

DROP TABLE IF EXISTS `PROVISION_AGREEMENT`
;

DROP TABLE IF EXISTS `STRUCTURE_USAGE`
;

DROP TABLE IF EXISTS `METADATA_STRUCTURE_DEFINITION`
;

DROP TABLE IF EXISTS `CONCEPT_TEXT_FORMAT`
;
DROP TABLE IF EXISTS REGISTRATION
;

DROP TABLE IF EXISTS DATA_SOURCE
;

DROP TABLE IF EXISTS CONTENT_CONSTRAINT_SOURCE
;
DROP TABLE IF EXISTS REGISTRY
;
DROP TABLE IF EXISTS USER_ACTION
;
DROP TABLE IF EXISTS TEMPLATE_MAPPING
;
DROP TABLE IF EXISTS TM_TRANSCODING
;
DROP TABLE IF EXISTS TM_TIME_TRANSCODING
;

DROP TABLE IF EXISTS DB_TIME_FORMAT
;

DROP TABLE IF EXISTS PERIOD_RULES
;
DROP TABLE IF EXISTS TIME_COLUMN_CONFIG
;

DROP TABLE IF EXISTS TIME_COLUMN_TYPE
;

DROP TABLE IF EXISTS TIME_FORMAT_CONFIG
;

DROP TABLE IF EXISTS TIME_PARTICLE_CONFIG
;

DROP TABLE IF EXISTS TIME_TRANSCODING_TR
;

DROP TABLE IF EXISTS ATTACH_TYPES
;

DROP TABLE IF EXISTS PROXY_SETTINGS
;
DROP TABLE IF EXISTS NSIWS
;

DROP TABLE IF EXISTS META_COL_MAPPING_COMPONENT
;

-- STORED PROCEDURE
DROP PROCEDURE IF EXISTS INSERT_CATEGORISATION
;
DROP PROCEDURE IF EXISTS INSERT_TEXT_FORMAT
;

DROP PROCEDURE IF EXISTS INSERT_LOCAL_CODE
;

DROP PROCEDURE IF EXISTS UPDATE_TRANSCODING_RULE
;

DROP PROCEDURE IF EXISTS INSERT_TRANSCODING
;

DROP PROCEDURE IF EXISTS INSERT_TRANSCODING_SCRIPT
;

DROP PROCEDURE IF EXISTS INSERT_ITEM
;

DROP PROCEDURE IF EXISTS INSERT_ARTEFACT
;

DROP PROCEDURE IF EXISTS INSERT_LOCALISED_STRING
;

DROP PROCEDURE IF EXISTS INSERT_COMPONENT
;

DROP PROCEDURE IF EXISTS INSERT_DSD_GROUP
;

DROP PROCEDURE IF EXISTS INSERT_DSD_CODE
;

DROP PROCEDURE IF EXISTS INSERT_CATEGORY
;

DROP PROCEDURE IF EXISTS INSERT_CONCEPT
;

DROP PROCEDURE IF EXISTS INSERT_AGENCY
;

DROP PROCEDURE IF EXISTS INSERT_DATACONSUMER
;

DROP PROCEDURE IF EXISTS INSERT_DATAPROVIDER
;

DROP PROCEDURE IF EXISTS INSERT_ORGANISATION_UNIT
;

DROP PROCEDURE IF EXISTS INSERT_HCL_CODE
;

DROP PROCEDURE IF EXISTS INSERT_HCL
;

DROP PROCEDURE IF EXISTS INSERT_HIERACHY
;

DROP PROCEDURE IF EXISTS INSERT_HLEVEL
;

DROP PROCEDURE IF EXISTS INSERT_DSD
;

DROP PROCEDURE IF EXISTS INSERT_DATAFLOW
;

DROP PROCEDURE IF EXISTS INSERT_CATEGORY_SCHEME
;

DROP PROCEDURE IF EXISTS INSERT_CODELIST
;

DROP PROCEDURE IF EXISTS INSERT_CONCEPT_SCHEME
;

DROP PROCEDURE IF EXISTS INSERT_AGENCY_SCHEME
;

DROP PROCEDURE IF EXISTS INSERT_DATACONSUMER_SCHEME
;

DROP PROCEDURE IF EXISTS INSERT_DATAPROVIDER_SCHEME
;

DROP PROCEDURE IF EXISTS INSERT_ORGANISATION_UNIT_SCH
;

DROP PROCEDURE IF EXISTS INSERT_STRUCTURE_SET
;

DROP PROCEDURE IF EXISTS SPLIT_VERSION
;
DROP PROCEDURE IF EXISTS INSERT_CODELIST_MAP
;
DROP PROCEDURE IF EXISTS INSERT_CODE_MAP
;
DROP PROCEDURE IF EXISTS INSERT_STRUCTURE_MAP
;
DROP PROCEDURE IF EXISTS INSERT_COMPONENT_MAP
;
DROP PROCEDURE IF EXISTS INSERT_ANNOTATION
;
DROP PROCEDURE IF EXISTS INSERT_ANNOTATION_TEXT
;
DROP PROCEDURE IF EXISTS INSERT_ARTEFACT_ANNOTATION
;
DROP PROCEDURE IF EXISTS INSERT_ITEM_ANNOTATION
;
DROP PROCEDURE IF EXISTS INSERT_COMPONENT_ANNOTATION
;
DROP PROCEDURE IF EXISTS INSERT_GROUP_ANNOTATION
;

DROP PROCEDURE IF EXISTS INSERT_CUBE_REGION_VALUE
;

DROP PROCEDURE IF EXISTS INSERT_CUBE_REGION_KEY_VALUE
;

DROP PROCEDURE IF EXISTS INSERT_CUBE_REGION
;

DROP PROCEDURE IF EXISTS INSERT_CONSTRAINT_ATTACHMENT
;

DROP PROCEDURE IF EXISTS INSERT_CONTENT_CONSTRAINT
;

DROP PROCEDURE IF EXISTS INSERT_STRUCTURE_USAGE
;

DROP PROCEDURE IF EXISTS INSERT_MSD
;

DROP PROCEDURE IF EXISTS INSERT_METADATAFLOW
;

DROP PROCEDURE IF EXISTS INSERT_METADATA_TARGET
;

DROP PROCEDURE IF EXISTS INSERT_TARGET_OBJECT
;

DROP PROCEDURE IF EXISTS INSERT_REPORT_STRUCTURE
;

DROP PROCEDURE IF EXISTS INSERT_METADATA_ATTRIBUTE
;

DROP PROCEDURE IF EXISTS INSERT_COMPONENT_COMMON
;

DROP PROCEDURE IF EXISTS INSERT_ITEM_SCHEME
;

DROP PROCEDURE IF EXISTS INSERT_PROVISION_AGREEMENT
;

DROP PROCEDURE IF EXISTS INSERT_REGISTRATION
;

DROP PROCEDURE IF EXISTS INSERT_DATA_SOURCE
;

DROP PROCEDURE IF EXISTS INSERT_REGISTRY
;
DROP PROCEDURE IF EXISTS INSERT_USER_ACTION
;

DROP PROCEDURE IF EXISTS INSERT_TEMPLATE_MAPPING
;
DROP PROCEDURE IF EXISTS INSERT_TIME_PARTICLE_CONFIG
;
DROP PROCEDURE IF EXISTS INSERT_TIME_TRANSCODING_TR
;
DROP FUNCTION IF EXISTS `getVersion`
;
DROP FUNCTION IF EXISTS `versionToString`
;
DROP FUNCTION IF EXISTS `isGreaterVersion`
;
DROP FUNCTION IF EXISTS `isEqualVersion`
;
DROP PROCEDURE IF EXISTS INSERT_COMPONENT_MAPPING
;

DROP PROCEDURE IF EXISTS INSERT_CONTACT
;

DROP PROCEDURE IF EXISTS INSERT_CONTACT_DETAIL
;

DROP PROCEDURE IF EXISTS INSERT_DATASET
;

DROP PROCEDURE IF EXISTS INSERT_DATASET_COLUMN
;

DROP PROCEDURE IF EXISTS INSERT_DB_CONNECTION
;

DROP PROCEDURE IF EXISTS INSERT_DESC_SOURCE
;

DROP PROCEDURE IF EXISTS INSERT_HEADER
;

DROP PROCEDURE IF EXISTS INSERT_HEADER_LOCALISED_STRING
;


DROP PROCEDURE IF EXISTS INSERT_MAPPING_SET
;

DROP PROCEDURE IF EXISTS INSERT_PARTY
;

DROP PROCEDURE IF EXISTS INSERT_TRANSCODING_RULE
;

DROP PROCEDURE IF EXISTS INSERT_MA_USER
;
DROP PROCEDURE IF EXISTS PROCESS_EXCLUSIVE_KEY_VALUES
;

DROP PROCEDURE IF EXISTS PROCESS_INCLUSIVE_KEY_VALUES
;

DROP PROCEDURE IF EXISTS PROCESS_CONSTRAINTS_INTERNAL
;

DROP PROCEDURE IF EXISTS PROCESS_CONSTRAINTS
;
DROP PROCEDURE IF EXISTS INSERT_NSIWS
;

DROP PROCEDURE IF EXISTS INSERT_DATASET_PROPERTY
;

SET FOREIGN_KEY_CHECKS=1
;
